import numpy as np
import ImageRecognitionSettings as settings
import requests


def extract(img_path):
    files = {'image': ('img', open(img_path, 'rb'))}
    data = {'resize': 'true', 'bw': 'true'}
    r = requests.post(settings.feature_extractor, data=data, files=files)
    return np.array(r.json(), dtype='f')
