import cv2
import numpy as np
import pickle as pickle
import os


def pickle_img_gf(dest, id, descriptors):
    dest_folder_name = id[0:3]
    filename = id + '.dat'
    dest_folder_path = os.path.join(dest, dest_folder_name)
    if (not os.path.exists(dest_folder_path)):
        os.mkdir(dest_folder_path)
    dest_path = os.path.join(dest_folder_path, filename)
    pickle.dump(descriptors, open(dest_path, 'wb'))


def unpickle_img_gf(dest, id):
    dest_folder_name = id[0:3]
    filename = id + '.dat'
    dest_folder_path = os.path.join(dest, dest_folder_name)
    dest_path = os.path.join(dest_folder_path, filename)
    des = pickle.load((open(dest_path, "rb")))
    return des


def delete_img_gf(dest, id):
    dest_folder_name = id[0:3]
    filename = id + '.dat'
    dest_folder_path = os.path.join(dest, dest_folder_name)
    dest_path = os.path.join(dest_folder_path, filename)
    if os.path.exists(dest_path):
        os.remove(dest_path)
        if not os.listdir(dest_folder_path):
            os.rmdir(dest_folder_path)
        return True
    return False
